Guides
- Hire an AI Employee
- Manufacture a catalog product
- System endpoints
- Format negotiation
- Read depth and cross-board reach
- Board health
- Plans & billing
- Professions (Guild Hall)
- Code index
- Memory (AgentMemory)
- Workspace settings
- Coder profiles
- Move or copy a card to another board
- Email boards
- Your repo's knowledge in AgentMemory
Reference
- API reference
- CLI reference
- MCP server
- OPVS Mail
- Board
- Board Inbox
- Board Chat
- Board Agent API
- AgentDocs
- Public Docs
- AgentMemory
- Employees
- My mail
- Calendar
- Webhooks
- Notifications
- Auth
- PAT Provisioning
- Agents
- Agent Workspace
- POSTAssign Skills
- GETGet Soul
- PUTUpdate Soul
- GETGet Agents Md
- PUTUpdate Agents Md
- GETGet Memory Md
- PUTUpdate Memory Md
- GETGet User Md
- PUTUpdate User Md
- GETGet Identity Md
- PUTUpdate Identity Md
- GETGet Tools Md
- PUTUpdate Tools Md
- GETGet Heartbeat Md
- PUTUpdate Heartbeat Md
- GETList User Profiles
- POSTCreate User Profile
- GETGet User Profile
- PUTUpdate User Profile
- DELETEDelete User Profile
- GETList Memory Notes
- GETGet Memory Note
- POSTAppend Memory Note
- PUTReplace Memory Note
- DELETEDelete Memory Note
- GETList Workspace Files
- POSTBulk Write Workspace
- GETGet Workspace File
- PUTWrite Workspace File
- DELETEDelete Workspace File
- GETGet Hired Workspace Policy
- POSTApply Hired Workspace Vendor Update
- POSTCopy Hired Workspace To Own Agent
- Agent Embed
- Org Chart
- AI Office
- Invitations
- Workflows
- Decisions
- Code Index
- Workstations
- Professions
- Integrations
- Data Sources
- Data Connectors
- Brands
- OPVS Protocol
- Marketplace Registry
- System
Factory
- How the factory works
- Set up your factory
- Fix a machine or desk that won't come up
- Fix a board that doesn't build or ship
- Machines, desks and the sidecar
- Board types and columns
- Projects and project settings
- Builders and engines
- How a card moves
- Connect GitHub
- Set a review policy
- Run your factory with the opvs skill and the agent-ops kit
- Factory CLI reference
Agent Workspace
Assign Skills
POST
/api/v1/agents/personas/{persona_id}/skillsAssign skills to a deployed persona's agent workspace.
Errors
| Code | When | What to do |
|---|---|---|
| 422 | Validation Error | — |
Request
curl -X POST "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/skills" \
-H "Authorization: Bearer $OPVS_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'import os
import requests
r = requests.request(
"POST",
"https://app.opvs.ai/api/v1/agents/personas/{persona_id}/skills",
headers={"Authorization": f"Bearer {os.environ['OPVS_TOKEN']}", "Content-Type": "application/json"},
data='{}',
)
r.raise_for_status()
print(r.json())const r = await fetch("https://app.opvs.ai/api/v1/agents/personas/{persona_id}/skills", {
method: "POST",
headers: { Authorization: `Bearer ${process.env.OPVS_TOKEN}`, "Content-Type": "application/json" },
body: JSON.stringify({}),
});
if (!r.ok) throw new Error(String(r.status));
console.log(await r.json());req, _ := http.NewRequest("POST", "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/skills", strings.NewReader(`{}`))
req.Header.Set("Authorization", "Bearer "+os.Getenv("OPVS_TOKEN"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil { log.Fatal(err) }
defer resp.Body.Close()Get Soul
GET
/api/v1/agents/personas/{persona_id}/soulErrors
| Code | When | What to do |
|---|---|---|
| 422 | Validation Error | — |
Request
curl "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/soul" \
-H "Authorization: Bearer $OPVS_TOKEN"import os
import requests
r = requests.request(
"GET",
"https://app.opvs.ai/api/v1/agents/personas/{persona_id}/soul",
headers={"Authorization": f"Bearer {os.environ['OPVS_TOKEN']}"},
)
r.raise_for_status()
print(r.json())const r = await fetch("https://app.opvs.ai/api/v1/agents/personas/{persona_id}/soul", {
method: "GET",
headers: { Authorization: `Bearer ${process.env.OPVS_TOKEN}` },
});
if (!r.ok) throw new Error(String(r.status));
console.log(await r.json());req, _ := http.NewRequest("GET", "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/soul", nil)
req.Header.Set("Authorization", "Bearer "+os.Getenv("OPVS_TOKEN"))
resp, err := http.DefaultClient.Do(req)
if err != nil { log.Fatal(err) }
defer resp.Body.Close()Update Soul
PUT
/api/v1/agents/personas/{persona_id}/soulErrors
| Code | When | What to do |
|---|---|---|
| 422 | Validation Error | — |
Request
curl -X PUT "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/soul" \
-H "Authorization: Bearer $OPVS_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'import os
import requests
r = requests.request(
"PUT",
"https://app.opvs.ai/api/v1/agents/personas/{persona_id}/soul",
headers={"Authorization": f"Bearer {os.environ['OPVS_TOKEN']}", "Content-Type": "application/json"},
data='{}',
)
r.raise_for_status()
print(r.json())const r = await fetch("https://app.opvs.ai/api/v1/agents/personas/{persona_id}/soul", {
method: "PUT",
headers: { Authorization: `Bearer ${process.env.OPVS_TOKEN}`, "Content-Type": "application/json" },
body: JSON.stringify({}),
});
if (!r.ok) throw new Error(String(r.status));
console.log(await r.json());req, _ := http.NewRequest("PUT", "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/soul", strings.NewReader(`{}`))
req.Header.Set("Authorization", "Bearer "+os.Getenv("OPVS_TOKEN"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil { log.Fatal(err) }
defer resp.Body.Close()Get Agents Md
GET
/api/v1/agents/personas/{persona_id}/agents-mdErrors
| Code | When | What to do |
|---|---|---|
| 422 | Validation Error | — |
Request
curl "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/agents-md" \
-H "Authorization: Bearer $OPVS_TOKEN"import os
import requests
r = requests.request(
"GET",
"https://app.opvs.ai/api/v1/agents/personas/{persona_id}/agents-md",
headers={"Authorization": f"Bearer {os.environ['OPVS_TOKEN']}"},
)
r.raise_for_status()
print(r.json())const r = await fetch("https://app.opvs.ai/api/v1/agents/personas/{persona_id}/agents-md", {
method: "GET",
headers: { Authorization: `Bearer ${process.env.OPVS_TOKEN}` },
});
if (!r.ok) throw new Error(String(r.status));
console.log(await r.json());req, _ := http.NewRequest("GET", "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/agents-md", nil)
req.Header.Set("Authorization", "Bearer "+os.Getenv("OPVS_TOKEN"))
resp, err := http.DefaultClient.Do(req)
if err != nil { log.Fatal(err) }
defer resp.Body.Close()Update Agents Md
PUT
/api/v1/agents/personas/{persona_id}/agents-mdErrors
| Code | When | What to do |
|---|---|---|
| 422 | Validation Error | — |
Request
curl -X PUT "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/agents-md" \
-H "Authorization: Bearer $OPVS_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'import os
import requests
r = requests.request(
"PUT",
"https://app.opvs.ai/api/v1/agents/personas/{persona_id}/agents-md",
headers={"Authorization": f"Bearer {os.environ['OPVS_TOKEN']}", "Content-Type": "application/json"},
data='{}',
)
r.raise_for_status()
print(r.json())const r = await fetch("https://app.opvs.ai/api/v1/agents/personas/{persona_id}/agents-md", {
method: "PUT",
headers: { Authorization: `Bearer ${process.env.OPVS_TOKEN}`, "Content-Type": "application/json" },
body: JSON.stringify({}),
});
if (!r.ok) throw new Error(String(r.status));
console.log(await r.json());req, _ := http.NewRequest("PUT", "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/agents-md", strings.NewReader(`{}`))
req.Header.Set("Authorization", "Bearer "+os.Getenv("OPVS_TOKEN"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil { log.Fatal(err) }
defer resp.Body.Close()Get Memory Md
GET
/api/v1/agents/personas/{persona_id}/memory-mdErrors
| Code | When | What to do |
|---|---|---|
| 422 | Validation Error | — |
Request
curl "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/memory-md" \
-H "Authorization: Bearer $OPVS_TOKEN"import os
import requests
r = requests.request(
"GET",
"https://app.opvs.ai/api/v1/agents/personas/{persona_id}/memory-md",
headers={"Authorization": f"Bearer {os.environ['OPVS_TOKEN']}"},
)
r.raise_for_status()
print(r.json())const r = await fetch("https://app.opvs.ai/api/v1/agents/personas/{persona_id}/memory-md", {
method: "GET",
headers: { Authorization: `Bearer ${process.env.OPVS_TOKEN}` },
});
if (!r.ok) throw new Error(String(r.status));
console.log(await r.json());req, _ := http.NewRequest("GET", "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/memory-md", nil)
req.Header.Set("Authorization", "Bearer "+os.Getenv("OPVS_TOKEN"))
resp, err := http.DefaultClient.Do(req)
if err != nil { log.Fatal(err) }
defer resp.Body.Close()Update Memory Md
PUT
/api/v1/agents/personas/{persona_id}/memory-mdErrors
| Code | When | What to do |
|---|---|---|
| 422 | Validation Error | — |
Request
curl -X PUT "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/memory-md" \
-H "Authorization: Bearer $OPVS_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'import os
import requests
r = requests.request(
"PUT",
"https://app.opvs.ai/api/v1/agents/personas/{persona_id}/memory-md",
headers={"Authorization": f"Bearer {os.environ['OPVS_TOKEN']}", "Content-Type": "application/json"},
data='{}',
)
r.raise_for_status()
print(r.json())const r = await fetch("https://app.opvs.ai/api/v1/agents/personas/{persona_id}/memory-md", {
method: "PUT",
headers: { Authorization: `Bearer ${process.env.OPVS_TOKEN}`, "Content-Type": "application/json" },
body: JSON.stringify({}),
});
if (!r.ok) throw new Error(String(r.status));
console.log(await r.json());req, _ := http.NewRequest("PUT", "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/memory-md", strings.NewReader(`{}`))
req.Header.Set("Authorization", "Bearer "+os.Getenv("OPVS_TOKEN"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil { log.Fatal(err) }
defer resp.Body.Close()Get User Md
GET
/api/v1/agents/personas/{persona_id}/user-mdErrors
| Code | When | What to do |
|---|---|---|
| 422 | Validation Error | — |
Request
curl "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/user-md" \
-H "Authorization: Bearer $OPVS_TOKEN"import os
import requests
r = requests.request(
"GET",
"https://app.opvs.ai/api/v1/agents/personas/{persona_id}/user-md",
headers={"Authorization": f"Bearer {os.environ['OPVS_TOKEN']}"},
)
r.raise_for_status()
print(r.json())const r = await fetch("https://app.opvs.ai/api/v1/agents/personas/{persona_id}/user-md", {
method: "GET",
headers: { Authorization: `Bearer ${process.env.OPVS_TOKEN}` },
});
if (!r.ok) throw new Error(String(r.status));
console.log(await r.json());req, _ := http.NewRequest("GET", "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/user-md", nil)
req.Header.Set("Authorization", "Bearer "+os.Getenv("OPVS_TOKEN"))
resp, err := http.DefaultClient.Do(req)
if err != nil { log.Fatal(err) }
defer resp.Body.Close()Update User Md
PUT
/api/v1/agents/personas/{persona_id}/user-mdErrors
| Code | When | What to do |
|---|---|---|
| 422 | Validation Error | — |
Request
curl -X PUT "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/user-md" \
-H "Authorization: Bearer $OPVS_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'import os
import requests
r = requests.request(
"PUT",
"https://app.opvs.ai/api/v1/agents/personas/{persona_id}/user-md",
headers={"Authorization": f"Bearer {os.environ['OPVS_TOKEN']}", "Content-Type": "application/json"},
data='{}',
)
r.raise_for_status()
print(r.json())const r = await fetch("https://app.opvs.ai/api/v1/agents/personas/{persona_id}/user-md", {
method: "PUT",
headers: { Authorization: `Bearer ${process.env.OPVS_TOKEN}`, "Content-Type": "application/json" },
body: JSON.stringify({}),
});
if (!r.ok) throw new Error(String(r.status));
console.log(await r.json());req, _ := http.NewRequest("PUT", "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/user-md", strings.NewReader(`{}`))
req.Header.Set("Authorization", "Bearer "+os.Getenv("OPVS_TOKEN"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil { log.Fatal(err) }
defer resp.Body.Close()Get Identity Md
GET
/api/v1/agents/personas/{persona_id}/identity-mdErrors
| Code | When | What to do |
|---|---|---|
| 422 | Validation Error | — |
Request
curl "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/identity-md" \
-H "Authorization: Bearer $OPVS_TOKEN"import os
import requests
r = requests.request(
"GET",
"https://app.opvs.ai/api/v1/agents/personas/{persona_id}/identity-md",
headers={"Authorization": f"Bearer {os.environ['OPVS_TOKEN']}"},
)
r.raise_for_status()
print(r.json())const r = await fetch("https://app.opvs.ai/api/v1/agents/personas/{persona_id}/identity-md", {
method: "GET",
headers: { Authorization: `Bearer ${process.env.OPVS_TOKEN}` },
});
if (!r.ok) throw new Error(String(r.status));
console.log(await r.json());req, _ := http.NewRequest("GET", "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/identity-md", nil)
req.Header.Set("Authorization", "Bearer "+os.Getenv("OPVS_TOKEN"))
resp, err := http.DefaultClient.Do(req)
if err != nil { log.Fatal(err) }
defer resp.Body.Close()Update Identity Md
PUT
/api/v1/agents/personas/{persona_id}/identity-mdErrors
| Code | When | What to do |
|---|---|---|
| 422 | Validation Error | — |
Request
curl -X PUT "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/identity-md" \
-H "Authorization: Bearer $OPVS_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'import os
import requests
r = requests.request(
"PUT",
"https://app.opvs.ai/api/v1/agents/personas/{persona_id}/identity-md",
headers={"Authorization": f"Bearer {os.environ['OPVS_TOKEN']}", "Content-Type": "application/json"},
data='{}',
)
r.raise_for_status()
print(r.json())const r = await fetch("https://app.opvs.ai/api/v1/agents/personas/{persona_id}/identity-md", {
method: "PUT",
headers: { Authorization: `Bearer ${process.env.OPVS_TOKEN}`, "Content-Type": "application/json" },
body: JSON.stringify({}),
});
if (!r.ok) throw new Error(String(r.status));
console.log(await r.json());req, _ := http.NewRequest("PUT", "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/identity-md", strings.NewReader(`{}`))
req.Header.Set("Authorization", "Bearer "+os.Getenv("OPVS_TOKEN"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil { log.Fatal(err) }
defer resp.Body.Close()Get Tools Md
GET
/api/v1/agents/personas/{persona_id}/tools-mdErrors
| Code | When | What to do |
|---|---|---|
| 422 | Validation Error | — |
Request
curl "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/tools-md" \
-H "Authorization: Bearer $OPVS_TOKEN"import os
import requests
r = requests.request(
"GET",
"https://app.opvs.ai/api/v1/agents/personas/{persona_id}/tools-md",
headers={"Authorization": f"Bearer {os.environ['OPVS_TOKEN']}"},
)
r.raise_for_status()
print(r.json())const r = await fetch("https://app.opvs.ai/api/v1/agents/personas/{persona_id}/tools-md", {
method: "GET",
headers: { Authorization: `Bearer ${process.env.OPVS_TOKEN}` },
});
if (!r.ok) throw new Error(String(r.status));
console.log(await r.json());req, _ := http.NewRequest("GET", "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/tools-md", nil)
req.Header.Set("Authorization", "Bearer "+os.Getenv("OPVS_TOKEN"))
resp, err := http.DefaultClient.Do(req)
if err != nil { log.Fatal(err) }
defer resp.Body.Close()Update Tools Md
PUT
/api/v1/agents/personas/{persona_id}/tools-mdErrors
| Code | When | What to do |
|---|---|---|
| 422 | Validation Error | — |
Request
curl -X PUT "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/tools-md" \
-H "Authorization: Bearer $OPVS_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'import os
import requests
r = requests.request(
"PUT",
"https://app.opvs.ai/api/v1/agents/personas/{persona_id}/tools-md",
headers={"Authorization": f"Bearer {os.environ['OPVS_TOKEN']}", "Content-Type": "application/json"},
data='{}',
)
r.raise_for_status()
print(r.json())const r = await fetch("https://app.opvs.ai/api/v1/agents/personas/{persona_id}/tools-md", {
method: "PUT",
headers: { Authorization: `Bearer ${process.env.OPVS_TOKEN}`, "Content-Type": "application/json" },
body: JSON.stringify({}),
});
if (!r.ok) throw new Error(String(r.status));
console.log(await r.json());req, _ := http.NewRequest("PUT", "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/tools-md", strings.NewReader(`{}`))
req.Header.Set("Authorization", "Bearer "+os.Getenv("OPVS_TOKEN"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil { log.Fatal(err) }
defer resp.Body.Close()Get Heartbeat Md
GET
/api/v1/agents/personas/{persona_id}/heartbeat-mdErrors
| Code | When | What to do |
|---|---|---|
| 422 | Validation Error | — |
Request
curl "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/heartbeat-md" \
-H "Authorization: Bearer $OPVS_TOKEN"import os
import requests
r = requests.request(
"GET",
"https://app.opvs.ai/api/v1/agents/personas/{persona_id}/heartbeat-md",
headers={"Authorization": f"Bearer {os.environ['OPVS_TOKEN']}"},
)
r.raise_for_status()
print(r.json())const r = await fetch("https://app.opvs.ai/api/v1/agents/personas/{persona_id}/heartbeat-md", {
method: "GET",
headers: { Authorization: `Bearer ${process.env.OPVS_TOKEN}` },
});
if (!r.ok) throw new Error(String(r.status));
console.log(await r.json());req, _ := http.NewRequest("GET", "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/heartbeat-md", nil)
req.Header.Set("Authorization", "Bearer "+os.Getenv("OPVS_TOKEN"))
resp, err := http.DefaultClient.Do(req)
if err != nil { log.Fatal(err) }
defer resp.Body.Close()Update Heartbeat Md
PUT
/api/v1/agents/personas/{persona_id}/heartbeat-mdErrors
| Code | When | What to do |
|---|---|---|
| 422 | Validation Error | — |
Request
curl -X PUT "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/heartbeat-md" \
-H "Authorization: Bearer $OPVS_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'import os
import requests
r = requests.request(
"PUT",
"https://app.opvs.ai/api/v1/agents/personas/{persona_id}/heartbeat-md",
headers={"Authorization": f"Bearer {os.environ['OPVS_TOKEN']}", "Content-Type": "application/json"},
data='{}',
)
r.raise_for_status()
print(r.json())const r = await fetch("https://app.opvs.ai/api/v1/agents/personas/{persona_id}/heartbeat-md", {
method: "PUT",
headers: { Authorization: `Bearer ${process.env.OPVS_TOKEN}`, "Content-Type": "application/json" },
body: JSON.stringify({}),
});
if (!r.ok) throw new Error(String(r.status));
console.log(await r.json());req, _ := http.NewRequest("PUT", "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/heartbeat-md", strings.NewReader(`{}`))
req.Header.Set("Authorization", "Bearer "+os.Getenv("OPVS_TOKEN"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil { log.Fatal(err) }
defer resp.Body.Close()List User Profiles
GET
/api/v1/agents/personas/{persona_id}/usersErrors
| Code | When | What to do |
|---|---|---|
| 422 | Validation Error | — |
Request
curl "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/users" \
-H "Authorization: Bearer $OPVS_TOKEN"import os
import requests
r = requests.request(
"GET",
"https://app.opvs.ai/api/v1/agents/personas/{persona_id}/users",
headers={"Authorization": f"Bearer {os.environ['OPVS_TOKEN']}"},
)
r.raise_for_status()
print(r.json())const r = await fetch("https://app.opvs.ai/api/v1/agents/personas/{persona_id}/users", {
method: "GET",
headers: { Authorization: `Bearer ${process.env.OPVS_TOKEN}` },
});
if (!r.ok) throw new Error(String(r.status));
console.log(await r.json());req, _ := http.NewRequest("GET", "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/users", nil)
req.Header.Set("Authorization", "Bearer "+os.Getenv("OPVS_TOKEN"))
resp, err := http.DefaultClient.Do(req)
if err != nil { log.Fatal(err) }
defer resp.Body.Close()Create User Profile
POST
/api/v1/agents/personas/{persona_id}/usersErrors
| Code | When | What to do |
|---|---|---|
| 422 | Validation Error | — |
Request
curl -X POST "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/users" \
-H "Authorization: Bearer $OPVS_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'import os
import requests
r = requests.request(
"POST",
"https://app.opvs.ai/api/v1/agents/personas/{persona_id}/users",
headers={"Authorization": f"Bearer {os.environ['OPVS_TOKEN']}", "Content-Type": "application/json"},
data='{}',
)
r.raise_for_status()
print(r.json())const r = await fetch("https://app.opvs.ai/api/v1/agents/personas/{persona_id}/users", {
method: "POST",
headers: { Authorization: `Bearer ${process.env.OPVS_TOKEN}`, "Content-Type": "application/json" },
body: JSON.stringify({}),
});
if (!r.ok) throw new Error(String(r.status));
console.log(await r.json());req, _ := http.NewRequest("POST", "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/users", strings.NewReader(`{}`))
req.Header.Set("Authorization", "Bearer "+os.Getenv("OPVS_TOKEN"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil { log.Fatal(err) }
defer resp.Body.Close()Get User Profile
GET
/api/v1/agents/personas/{persona_id}/users/{key}Errors
| Code | When | What to do |
|---|---|---|
| 422 | Validation Error | — |
Request
curl "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/users/{key}" \
-H "Authorization: Bearer $OPVS_TOKEN"import os
import requests
r = requests.request(
"GET",
"https://app.opvs.ai/api/v1/agents/personas/{persona_id}/users/{key}",
headers={"Authorization": f"Bearer {os.environ['OPVS_TOKEN']}"},
)
r.raise_for_status()
print(r.json())const r = await fetch("https://app.opvs.ai/api/v1/agents/personas/{persona_id}/users/{key}", {
method: "GET",
headers: { Authorization: `Bearer ${process.env.OPVS_TOKEN}` },
});
if (!r.ok) throw new Error(String(r.status));
console.log(await r.json());req, _ := http.NewRequest("GET", "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/users/{key}", nil)
req.Header.Set("Authorization", "Bearer "+os.Getenv("OPVS_TOKEN"))
resp, err := http.DefaultClient.Do(req)
if err != nil { log.Fatal(err) }
defer resp.Body.Close()Update User Profile
PUT
/api/v1/agents/personas/{persona_id}/users/{key}Errors
| Code | When | What to do |
|---|---|---|
| 422 | Validation Error | — |
Request
curl -X PUT "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/users/{key}" \
-H "Authorization: Bearer $OPVS_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'import os
import requests
r = requests.request(
"PUT",
"https://app.opvs.ai/api/v1/agents/personas/{persona_id}/users/{key}",
headers={"Authorization": f"Bearer {os.environ['OPVS_TOKEN']}", "Content-Type": "application/json"},
data='{}',
)
r.raise_for_status()
print(r.json())const r = await fetch("https://app.opvs.ai/api/v1/agents/personas/{persona_id}/users/{key}", {
method: "PUT",
headers: { Authorization: `Bearer ${process.env.OPVS_TOKEN}`, "Content-Type": "application/json" },
body: JSON.stringify({}),
});
if (!r.ok) throw new Error(String(r.status));
console.log(await r.json());req, _ := http.NewRequest("PUT", "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/users/{key}", strings.NewReader(`{}`))
req.Header.Set("Authorization", "Bearer "+os.Getenv("OPVS_TOKEN"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil { log.Fatal(err) }
defer resp.Body.Close()Delete User Profile
DELETE
/api/v1/agents/personas/{persona_id}/users/{key}Errors
| Code | When | What to do |
|---|---|---|
| 422 | Validation Error | — |
Request
curl -X DELETE "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/users/{key}" \
-H "Authorization: Bearer $OPVS_TOKEN"import os
import requests
r = requests.request(
"DELETE",
"https://app.opvs.ai/api/v1/agents/personas/{persona_id}/users/{key}",
headers={"Authorization": f"Bearer {os.environ['OPVS_TOKEN']}"},
)
r.raise_for_status()
print(r.json())const r = await fetch("https://app.opvs.ai/api/v1/agents/personas/{persona_id}/users/{key}", {
method: "DELETE",
headers: { Authorization: `Bearer ${process.env.OPVS_TOKEN}` },
});
if (!r.ok) throw new Error(String(r.status));
console.log(await r.json());req, _ := http.NewRequest("DELETE", "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/users/{key}", nil)
req.Header.Set("Authorization", "Bearer "+os.Getenv("OPVS_TOKEN"))
resp, err := http.DefaultClient.Do(req)
if err != nil { log.Fatal(err) }
defer resp.Body.Close()List Memory Notes
GET
/api/v1/agents/personas/{persona_id}/memoryErrors
| Code | When | What to do |
|---|---|---|
| 422 | Validation Error | — |
Request
curl "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/memory" \
-H "Authorization: Bearer $OPVS_TOKEN"import os
import requests
r = requests.request(
"GET",
"https://app.opvs.ai/api/v1/agents/personas/{persona_id}/memory",
headers={"Authorization": f"Bearer {os.environ['OPVS_TOKEN']}"},
)
r.raise_for_status()
print(r.json())const r = await fetch("https://app.opvs.ai/api/v1/agents/personas/{persona_id}/memory", {
method: "GET",
headers: { Authorization: `Bearer ${process.env.OPVS_TOKEN}` },
});
if (!r.ok) throw new Error(String(r.status));
console.log(await r.json());req, _ := http.NewRequest("GET", "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/memory", nil)
req.Header.Set("Authorization", "Bearer "+os.Getenv("OPVS_TOKEN"))
resp, err := http.DefaultClient.Do(req)
if err != nil { log.Fatal(err) }
defer resp.Body.Close()Get Memory Note
GET
/api/v1/agents/personas/{persona_id}/memory/{date}Errors
| Code | When | What to do |
|---|---|---|
| 422 | Validation Error | — |
Request
curl "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/memory/{date}" \
-H "Authorization: Bearer $OPVS_TOKEN"import os
import requests
r = requests.request(
"GET",
"https://app.opvs.ai/api/v1/agents/personas/{persona_id}/memory/{date}",
headers={"Authorization": f"Bearer {os.environ['OPVS_TOKEN']}"},
)
r.raise_for_status()
print(r.json())const r = await fetch("https://app.opvs.ai/api/v1/agents/personas/{persona_id}/memory/{date}", {
method: "GET",
headers: { Authorization: `Bearer ${process.env.OPVS_TOKEN}` },
});
if (!r.ok) throw new Error(String(r.status));
console.log(await r.json());req, _ := http.NewRequest("GET", "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/memory/{date}", nil)
req.Header.Set("Authorization", "Bearer "+os.Getenv("OPVS_TOKEN"))
resp, err := http.DefaultClient.Do(req)
if err != nil { log.Fatal(err) }
defer resp.Body.Close()Append Memory Note
POST
/api/v1/agents/personas/{persona_id}/memory/{date}Errors
| Code | When | What to do |
|---|---|---|
| 422 | Validation Error | — |
Request
curl -X POST "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/memory/{date}" \
-H "Authorization: Bearer $OPVS_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'import os
import requests
r = requests.request(
"POST",
"https://app.opvs.ai/api/v1/agents/personas/{persona_id}/memory/{date}",
headers={"Authorization": f"Bearer {os.environ['OPVS_TOKEN']}", "Content-Type": "application/json"},
data='{}',
)
r.raise_for_status()
print(r.json())const r = await fetch("https://app.opvs.ai/api/v1/agents/personas/{persona_id}/memory/{date}", {
method: "POST",
headers: { Authorization: `Bearer ${process.env.OPVS_TOKEN}`, "Content-Type": "application/json" },
body: JSON.stringify({}),
});
if (!r.ok) throw new Error(String(r.status));
console.log(await r.json());req, _ := http.NewRequest("POST", "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/memory/{date}", strings.NewReader(`{}`))
req.Header.Set("Authorization", "Bearer "+os.Getenv("OPVS_TOKEN"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil { log.Fatal(err) }
defer resp.Body.Close()Replace Memory Note
PUT
/api/v1/agents/personas/{persona_id}/memory/{date}Errors
| Code | When | What to do |
|---|---|---|
| 422 | Validation Error | — |
Request
curl -X PUT "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/memory/{date}" \
-H "Authorization: Bearer $OPVS_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'import os
import requests
r = requests.request(
"PUT",
"https://app.opvs.ai/api/v1/agents/personas/{persona_id}/memory/{date}",
headers={"Authorization": f"Bearer {os.environ['OPVS_TOKEN']}", "Content-Type": "application/json"},
data='{}',
)
r.raise_for_status()
print(r.json())const r = await fetch("https://app.opvs.ai/api/v1/agents/personas/{persona_id}/memory/{date}", {
method: "PUT",
headers: { Authorization: `Bearer ${process.env.OPVS_TOKEN}`, "Content-Type": "application/json" },
body: JSON.stringify({}),
});
if (!r.ok) throw new Error(String(r.status));
console.log(await r.json());req, _ := http.NewRequest("PUT", "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/memory/{date}", strings.NewReader(`{}`))
req.Header.Set("Authorization", "Bearer "+os.Getenv("OPVS_TOKEN"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil { log.Fatal(err) }
defer resp.Body.Close()Delete Memory Note
DELETE
/api/v1/agents/personas/{persona_id}/memory/{date}Errors
| Code | When | What to do |
|---|---|---|
| 422 | Validation Error | — |
Request
curl -X DELETE "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/memory/{date}" \
-H "Authorization: Bearer $OPVS_TOKEN"import os
import requests
r = requests.request(
"DELETE",
"https://app.opvs.ai/api/v1/agents/personas/{persona_id}/memory/{date}",
headers={"Authorization": f"Bearer {os.environ['OPVS_TOKEN']}"},
)
r.raise_for_status()
print(r.json())const r = await fetch("https://app.opvs.ai/api/v1/agents/personas/{persona_id}/memory/{date}", {
method: "DELETE",
headers: { Authorization: `Bearer ${process.env.OPVS_TOKEN}` },
});
if (!r.ok) throw new Error(String(r.status));
console.log(await r.json());req, _ := http.NewRequest("DELETE", "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/memory/{date}", nil)
req.Header.Set("Authorization", "Bearer "+os.Getenv("OPVS_TOKEN"))
resp, err := http.DefaultClient.Do(req)
if err != nil { log.Fatal(err) }
defer resp.Body.Close()List Workspace Files
GET
/api/v1/agents/personas/{persona_id}/workspaceErrors
| Code | When | What to do |
|---|---|---|
| 422 | Validation Error | — |
Request
curl "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/workspace" \
-H "Authorization: Bearer $OPVS_TOKEN"import os
import requests
r = requests.request(
"GET",
"https://app.opvs.ai/api/v1/agents/personas/{persona_id}/workspace",
headers={"Authorization": f"Bearer {os.environ['OPVS_TOKEN']}"},
)
r.raise_for_status()
print(r.json())const r = await fetch("https://app.opvs.ai/api/v1/agents/personas/{persona_id}/workspace", {
method: "GET",
headers: { Authorization: `Bearer ${process.env.OPVS_TOKEN}` },
});
if (!r.ok) throw new Error(String(r.status));
console.log(await r.json());req, _ := http.NewRequest("GET", "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/workspace", nil)
req.Header.Set("Authorization", "Bearer "+os.Getenv("OPVS_TOKEN"))
resp, err := http.DefaultClient.Do(req)
if err != nil { log.Fatal(err) }
defer resp.Body.Close()Bulk Write Workspace
POST
/api/v1/agents/personas/{persona_id}/workspace/bulkWrite multiple workspace files in a single request (max 50 files).
Errors
| Code | When | What to do |
|---|---|---|
| 422 | Validation Error | — |
Request
curl -X POST "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/workspace/bulk" \
-H "Authorization: Bearer $OPVS_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'import os
import requests
r = requests.request(
"POST",
"https://app.opvs.ai/api/v1/agents/personas/{persona_id}/workspace/bulk",
headers={"Authorization": f"Bearer {os.environ['OPVS_TOKEN']}", "Content-Type": "application/json"},
data='{}',
)
r.raise_for_status()
print(r.json())const r = await fetch("https://app.opvs.ai/api/v1/agents/personas/{persona_id}/workspace/bulk", {
method: "POST",
headers: { Authorization: `Bearer ${process.env.OPVS_TOKEN}`, "Content-Type": "application/json" },
body: JSON.stringify({}),
});
if (!r.ok) throw new Error(String(r.status));
console.log(await r.json());req, _ := http.NewRequest("POST", "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/workspace/bulk", strings.NewReader(`{}`))
req.Header.Set("Authorization", "Bearer "+os.Getenv("OPVS_TOKEN"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil { log.Fatal(err) }
defer resp.Body.Close()Get Workspace File
GET
/api/v1/agents/personas/{persona_id}/workspace/{path}Errors
| Code | When | What to do |
|---|---|---|
| 422 | Validation Error | — |
Request
curl "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/workspace/{path}" \
-H "Authorization: Bearer $OPVS_TOKEN"import os
import requests
r = requests.request(
"GET",
"https://app.opvs.ai/api/v1/agents/personas/{persona_id}/workspace/{path}",
headers={"Authorization": f"Bearer {os.environ['OPVS_TOKEN']}"},
)
r.raise_for_status()
print(r.json())const r = await fetch("https://app.opvs.ai/api/v1/agents/personas/{persona_id}/workspace/{path}", {
method: "GET",
headers: { Authorization: `Bearer ${process.env.OPVS_TOKEN}` },
});
if (!r.ok) throw new Error(String(r.status));
console.log(await r.json());req, _ := http.NewRequest("GET", "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/workspace/{path}", nil)
req.Header.Set("Authorization", "Bearer "+os.Getenv("OPVS_TOKEN"))
resp, err := http.DefaultClient.Do(req)
if err != nil { log.Fatal(err) }
defer resp.Body.Close()Write Workspace File
PUT
/api/v1/agents/personas/{persona_id}/workspace/{path}Errors
| Code | When | What to do |
|---|---|---|
| 422 | Validation Error | — |
Request
curl -X PUT "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/workspace/{path}" \
-H "Authorization: Bearer $OPVS_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'import os
import requests
r = requests.request(
"PUT",
"https://app.opvs.ai/api/v1/agents/personas/{persona_id}/workspace/{path}",
headers={"Authorization": f"Bearer {os.environ['OPVS_TOKEN']}", "Content-Type": "application/json"},
data='{}',
)
r.raise_for_status()
print(r.json())const r = await fetch("https://app.opvs.ai/api/v1/agents/personas/{persona_id}/workspace/{path}", {
method: "PUT",
headers: { Authorization: `Bearer ${process.env.OPVS_TOKEN}`, "Content-Type": "application/json" },
body: JSON.stringify({}),
});
if (!r.ok) throw new Error(String(r.status));
console.log(await r.json());req, _ := http.NewRequest("PUT", "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/workspace/{path}", strings.NewReader(`{}`))
req.Header.Set("Authorization", "Bearer "+os.Getenv("OPVS_TOKEN"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil { log.Fatal(err) }
defer resp.Body.Close()Delete Workspace File
DELETE
/api/v1/agents/personas/{persona_id}/workspace/{path}Errors
| Code | When | What to do |
|---|---|---|
| 422 | Validation Error | — |
Request
curl -X DELETE "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/workspace/{path}" \
-H "Authorization: Bearer $OPVS_TOKEN"import os
import requests
r = requests.request(
"DELETE",
"https://app.opvs.ai/api/v1/agents/personas/{persona_id}/workspace/{path}",
headers={"Authorization": f"Bearer {os.environ['OPVS_TOKEN']}"},
)
r.raise_for_status()
print(r.json())const r = await fetch("https://app.opvs.ai/api/v1/agents/personas/{persona_id}/workspace/{path}", {
method: "DELETE",
headers: { Authorization: `Bearer ${process.env.OPVS_TOKEN}` },
});
if (!r.ok) throw new Error(String(r.status));
console.log(await r.json());req, _ := http.NewRequest("DELETE", "https://app.opvs.ai/api/v1/agents/personas/{persona_id}/workspace/{path}", nil)
req.Header.Set("Authorization", "Bearer "+os.Getenv("OPVS_TOKEN"))
resp, err := http.DefaultClient.Do(req)
if err != nil { log.Fatal(err) }
defer resp.Body.Close()Get Hired Workspace Policy
GET
/api/v1/employees/hires/{hire_id}/workspaceReturn owner, state and shipped vendor revision for all seven files.
Errors
| Code | When | What to do |
|---|---|---|
| 422 | Validation Error | — |
Request
curl "https://app.opvs.ai/api/v1/employees/hires/{hire_id}/workspace" \
-H "Authorization: Bearer $OPVS_TOKEN"import os
import requests
r = requests.request(
"GET",
"https://app.opvs.ai/api/v1/employees/hires/{hire_id}/workspace",
headers={"Authorization": f"Bearer {os.environ['OPVS_TOKEN']}"},
)
r.raise_for_status()
print(r.json())const r = await fetch("https://app.opvs.ai/api/v1/employees/hires/{hire_id}/workspace", {
method: "GET",
headers: { Authorization: `Bearer ${process.env.OPVS_TOKEN}` },
});
if (!r.ok) throw new Error(String(r.status));
console.log(await r.json());req, _ := http.NewRequest("GET", "https://app.opvs.ai/api/v1/employees/hires/{hire_id}/workspace", nil)
req.Header.Set("Authorization", "Bearer "+os.Getenv("OPVS_TOKEN"))
resp, err := http.DefaultClient.Do(req)
if err != nil { log.Fatal(err) }
defer resp.Body.Close()Apply Hired Workspace Vendor Update
POST
/api/v1/employees/hires/{hire_id}/workspace/{file_name}/apply-updateReplace one vendor file with the current recorded vendor revision.
Errors
| Code | When | What to do |
|---|---|---|
| 422 | Validation Error | — |
Request
curl -X POST "https://app.opvs.ai/api/v1/employees/hires/{hire_id}/workspace/{file_name}/apply-update" \
-H "Authorization: Bearer $OPVS_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'import os
import requests
r = requests.request(
"POST",
"https://app.opvs.ai/api/v1/employees/hires/{hire_id}/workspace/{file_name}/apply-update",
headers={"Authorization": f"Bearer {os.environ['OPVS_TOKEN']}", "Content-Type": "application/json"},
data='{}',
)
r.raise_for_status()
print(r.json())const r = await fetch("https://app.opvs.ai/api/v1/employees/hires/{hire_id}/workspace/{file_name}/apply-update", {
method: "POST",
headers: { Authorization: `Bearer ${process.env.OPVS_TOKEN}`, "Content-Type": "application/json" },
body: JSON.stringify({}),
});
if (!r.ok) throw new Error(String(r.status));
console.log(await r.json());req, _ := http.NewRequest("POST", "https://app.opvs.ai/api/v1/employees/hires/{hire_id}/workspace/{file_name}/apply-update", strings.NewReader(`{}`))
req.Header.Set("Authorization", "Bearer "+os.Getenv("OPVS_TOKEN"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil { log.Fatal(err) }
defer resp.Body.Close()Copy Hired Workspace To Own Agent
POST
/api/v1/employees/hires/{hire_id}/copyCreate a separate own persona with the hire's seven live files.
Errors
| Code | When | What to do |
|---|---|---|
| 422 | Validation Error | — |
Request
curl -X POST "https://app.opvs.ai/api/v1/employees/hires/{hire_id}/copy" \
-H "Authorization: Bearer $OPVS_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'import os
import requests
r = requests.request(
"POST",
"https://app.opvs.ai/api/v1/employees/hires/{hire_id}/copy",
headers={"Authorization": f"Bearer {os.environ['OPVS_TOKEN']}", "Content-Type": "application/json"},
data='{}',
)
r.raise_for_status()
print(r.json())const r = await fetch("https://app.opvs.ai/api/v1/employees/hires/{hire_id}/copy", {
method: "POST",
headers: { Authorization: `Bearer ${process.env.OPVS_TOKEN}`, "Content-Type": "application/json" },
body: JSON.stringify({}),
});
if (!r.ok) throw new Error(String(r.status));
console.log(await r.json());req, _ := http.NewRequest("POST", "https://app.opvs.ai/api/v1/employees/hires/{hire_id}/copy", strings.NewReader(`{}`))
req.Header.Set("Authorization", "Bearer "+os.Getenv("OPVS_TOKEN"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil { log.Fatal(err) }
defer resp.Body.Close()Did this answer your question?